JavaSoundAudioDeviceFactory

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.player
Class JavaSoundAudioDeviceFactory

    java.lang.Object
      javazoom.jl.player.AudioDeviceFactory
          javazoom.jl.player.JavaSoundAudioDeviceFactory

public class JavaSoundAudioDeviceFactory
extends AudioDeviceFactory

This class is responsible for creating instances of the JavaSoundAudioDevice. The audio device implementation is loaded and tested dynamically as not all systems will have support for JavaSound, or they may have the incorrect version.

Constructor Summary
`JavaSoundAudioDeviceFactory()`

Method Summary
`AudioDevice` | `createAudioDevice()` Creates a new `AudioDevice`.
`protected JavaSoundAudioDevice` | `createAudioDeviceImpl()`
`void` | `testAudioDevice()`

Methods inherited from class javazoom.jl.player.AudioDeviceFactory
`instantiate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaSoundAudioDeviceFactory

    public JavaSoundAudioDeviceFactory()

Method Detail

### createAudioDevice

    public AudioDevice createAudioDevice()
                                  throws JavaLayerException

  Description copied from class: `AudioDeviceFactory`
  Creates a new `AudioDevice`.

  Specified by:
    `createAudioDevice` in class `AudioDeviceFactory`
  Returns:
    a new instance of a specific class of `AudioDevice`.
  Throws:
    `JavaLayerException` - if an instance of AudioDevice could not be created.

### createAudioDeviceImpl

    protected JavaSoundAudioDevice createAudioDeviceImpl()
                                                  throws JavaLayerException

  Throws:
    `JavaLayerException`

### testAudioDevice

    public void testAudioDevice()
                         throws JavaLayerException

  Throws:
    `JavaLayerException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005